/// <reference path="../src/jquery.d.ts" />
interface HTMLElement {
    selectionStart: any;
    setSelectionRange: any;
}
declare function expressionBuilder(selector: string | JQuery, options?: any): {
    getExpression: () => string;
    setExpression: (expression: string) => void;
    isValid: () => boolean;
    parseExpression: (expression: string) => string;
    getInput: () => string | number | string[];
    getVariableById: (variableId: number) => any;
    setVariables: (vars: any) => void;
};
